Note
Access to this page requires authorization. You can try signing in or changing directories.
Access to this page requires authorization. You can try changing directories.
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Update the properties of a bucket object.
Permissions
Choose the permission or permissions marked as least privileged for this API. Use a higher privileged permission or permissions only if your app requires it. For details about delegated and application permissions, see Permission types. To learn more about these permissions, see the permissions reference.
| Permission type | Least privileged permission | Higher privileged permissions |
|---|---|---|
| Delegated (work or school account) | Not supported. | Not supported. |
| Delegated (personal Microsoft account) | Not supported. | Not supported. |
| Application | Not supported. | Not supported. |
HTTP request
PATCH /planner/plans_v2/{planId}/buckets/{bucketId}
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. Learn more about authentication and authorization. |
| Content-Type | application/json. Required. |
| If-Match | The complete ETag of the resource to update or delete. Required. |
Use the complete ETag returned by the latest read of this resource as the If-Match value. Don't construct or compare ETags yourself. A missing, invalid, or no-longer-usable ETag results in 412 Precondition Failed. A conflicting change can result in 409 Conflict; read the resource again and reconcile the changes before retrying. An older ETag doesn't necessarily fail when the service can merge nonconflicting changes.
Request body
In the request body, supply only the values for properties to update. Existing properties that aren't included in the request body maintain their previous values or are recalculated based on changes to other property values.
The following table specifies the properties that can be updated.
| Property | Type | Description |
|---|---|---|
| displayName | String | Title of the bucket. |
| extensions | extensionFieldCollection | Custom extension field values set on the entity. Supports $select. |
Send only the properties that you want to change. Don't include immutable or service-populated properties from a GET response.
Response
If successful, this method returns a 200 OK response code and an updated bucket object in the response body.
Examples
Request
The following example shows a request.
PATCH https://graph.microsoft.com/beta/planner/plans_v2/{planId}/buckets/{bucketId}
If-Match: {etag}
Content-Type: application/json
{
"@odata.type": "#microsoft.graph.bucket",
"displayName": "In progress"
}
Response
The following example shows the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.type": "#microsoft.graph.bucket",
"id": "206ac2f7-b3e0-e350-a95d-d7fe9091c22f",
"displayName": "In progress"
}